%define spmajor 1
%define libname    %mklibname sidplay2_ %{spmajor}
%define develname %mklibname -d sidplay2
%define sumajor 0
%define libnamesu %mklibname sidutils %{sumajor}
%define bumajor 0
%define libnamebu %mklibname sidplay-builders %bumajor
%define develnamesu %mklibname -d sidutils
%define staticdevelnamesu %mklibname -s -d sidutils

Summary:        A Commodore 64 music player and SID chip emulator library
Name:           sidplay-libs
Version:        2.1.1
Release:        %mkrel 20
Source:         http://prdownloads.sourceforge.net/sidplay2/%{name}-%version.tar.bz2
Patch:		sidplay-libs-2.1.1-gcc4.3.patch
#gw from xsidplay 2.0.3
Patch1:		cia1.patch
Patch2:		sidplay-libs-2.1.1-builders-dir.patch
Patch3:         sidplay-libs-2.1.1-pkgconfig.patch
License:        GPLv2+
Group:          System/Libraries
URL:            http://sidplay2.sourceforge.net/
BuildRequires:  chrpath

%description
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

A ReSID Builder Class using a modified version of ReSID 0.13
is included in this package. Alternative/updated classes can be
obtained from the SIDPlay2 homepage.

%package -n %libname
Summary:        A Commodore 64 music player and SID chip emulator library
Group:          System/Libraries
Obsoletes:	%{_lib}sidplay2 < %{version}-%{release}

%description -n %libname
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

%package -n %libnamebu
Summary:        A Commodore 64 music player and SID chip emulator library
Group:          System/Libraries

%description -n %libnamebu
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

A ReSID Builder Class using a modified version of ReSID 0.13
is included in this package. Alternative/updated classes can be
obtained from the SIDPlay2 homepage.

%package -n %develname
Summary:        Development headers and libraries for %{libname}
Group:          Development/C++
Requires:       %{libname} = %{version}
Requires:       %{libnamebu} = %{version}
Provides:       libsidplay-devel = %{version}-%release
Provides:	sidplay2-devel = %version-%release
Obsoletes:	%{_lib}sidplay2_1-devel < %version-%release

%description -n %develname
This package includes the header and library files necessary
for developing applications to use %{libname}.

%package -n %libnamesu
Summary:        General utility library for use in sidplayers
Requires:	%libname = %version
Group:          System/Libraries
%description -n %libnamesu
This library provides general utilities that are not considered core
to the C64 emulation.  Utilities include decoding and obtaining tune
lengths from the songlength database, INI file format parser and SID
filter files (types 1 and 2).

%package -n %develnamesu
Summary:        Development headers and libraries for libsidutils
Group:          Development/C++
Requires:       %libnamesu = %{version}
Requires:	%{develname} = %version
Provides:       libsidutils-devel = %{version}-%release
Obsoletes:	%mklibname -d sidutils 0

%description -n %develnamesu
This package includes the header and library files necessary
for developing applications to use %libnamesu.

%prep
%setup -q 
%patch -p1 -b .gcc
%patch1 -p1
%patch2 -p1
%patch3 -p1
autoreconf -fi -Iunix
pushd resid
autoreconf -fi
popd

%build
export CFLAGS="%optflags -fPIC"
export CXXFLAGS="%optflags -fPIC"
%configure2_5x --disable-static --enable-shared
%make

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete
rm -f %buildroot%_libdir/lib*.a
chrpath -d %buildroot%_libdir/libsidutils.so

%multiarch_includes %buildroot%_includedir/sidplay/sidconfig.h

%files -n %libname
%doc libsidplay/AUTHORS libsidplay/ChangeLog libsidplay/README libsidplay/TODO
%{_libdir}/libsidplay2.so.%{spmajor}
%{_libdir}/libsidplay2.so.%{spmajor}.*

%files -n %libnamebu
%_libdir/libresid-builder.so.%{bumajor}
%_libdir/libresid-builder.so.%{bumajor}.*
%_libdir/libhardsid-builder.so.%{bumajor}
%_libdir/libhardsid-builder.so.%{bumajor}.*


%files -n %develname
%{_includedir}/sidplay/*.h
%{_includedir}/sidplay/builders/*.h
%multiarch %multiarch_includedir/sidplay/
%{_libdir}/libsidplay2.so
%{_libdir}/libresid-builder.so
%{_libdir}/libhardsid-builder.so
%{_libdir}/pkgconfig/libsidplay*.pc

%files -n %libnamesu
%doc libsidutils/AUTHORS libsidutils/ChangeLog libsidutils/README libsidutils/TODO
%{_libdir}/libsidutils.so.%{sumajor}
%{_libdir}/libsidutils.so.%{sumajor}.*

%files -n %develnamesu
%dir %{_includedir}/sidplay/utils/
%{_includedir}/sidplay/utils/*
%{_libdir}/libsidutils*.so
%_libdir/pkgconfig/libsidutils*pc


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-20.mga5
+ Revision: 746290
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-19.mga5.tainted
+ Revision: 689151
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.1-18.mga4.tainted
+ Revision: 518330
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.1.1-17.mga3.tainted
+ Revision: 382011
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 gw666 <gw666> 2.1.1-16.mga3
+ Revision: 331564
- really fix pkgconfig files

* Sun Dec 16 2012 gw666 <gw666> 2.1.1-15.mga3
+ Revision: 331526
- fix pkgconfig files not to reference libtool archives

* Thu Dec 06 2012 gw666 <gw666> 2.1.1-14.mga3
+ Revision: 327372
- build builders as shared libraries

* Thu Nov 29 2012 gw666 <gw666> 2.1.1-13.mga3
+ Revision: 323098
- really don't remove static builder libs
- readd builder libs, they are needed by audacious-sid at least

* Sat Oct 20 2012 fwang <fwang> 2.1.1-12.mga3
+ Revision: 308365
- fix requires

* Sun Oct 14 2012 fwang <fwang> 2.1.1-11.mga3
+ Revision: 305421
- update develname

* Sun Oct 14 2012 fwang <fwang> 2.1.1-10.mga3
+ Revision: 305410
- remove more files
- spec cleanup

* Sun Feb 20 2011 ahmad <ahmad> 2.1.1-10.mga2.tainted
+ Revision: 54710
- drop old/unneeded scriptlets
- imported package sidplay-libs

